Skip to content
AchaduDevelopers
Operational APIGo to website
Dashboard
Developers/API/store_update
Store

Update store

Updates store identity, theme, networks and privacy.

PATCH/storestore:write

Request

namestring · bodyStore name.optional
taglinestring · bodyMain sentence.optional
logostring · bodyLogo URL.optional
coverstring · bodyCover URL.optional
faviconstring · bodyIcon URL.optional
aboutstring · bodyStore description.optional
themeobject · bodyVisual tokens.optional
socialobject · bodySocial links.optional
privacyobject · bodyPublic preferences.optional
badgeboolean · bodyDisplays seal.optional
activeboolean · bodyPublish the store.optional

Example

curl
curl -X PATCH 'https://achadu.com/api/v1/store' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "tagline": "string",
  "logo": "https://cdn.example.com/image.jpg"
}'

Answer

200Operation completed
4xxError with code, message and request_id